GET api/cleanroomapi/cleanroom/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
CleanRoomViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| communication_server_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| local_name | string |
None. |
|
| name | string |
Required |
|
| type_of_temperature | string |
Required |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_type_id": "100f14e4-fbaf-44ee-aec9-bb1bfd659e2e",
"communication_server_id": "017bf7a5-eef5-4aab-888c-6e27a443901d",
"id": "c7798650-835d-46cc-abd2-1c0fb21a2d3b",
"local_id": 1,
"local_name": "sample string 3",
"name": "sample string 4",
"type_of_temperature": "sample string 5"
}
application/xml, text/xml
Sample:
<cleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <cleanroom_type_id>100f14e4-fbaf-44ee-aec9-bb1bfd659e2e</cleanroom_type_id> <communication_server_id>017bf7a5-eef5-4aab-888c-6e27a443901d</communication_server_id> <id>c7798650-835d-46cc-abd2-1c0fb21a2d3b</id> <local_id>1</local_id> <local_name>sample string 3</local_name> <name>sample string 4</name> <type_of_temperature>sample string 5</type_of_temperature> </cleanroom>